## diffoscope 272

=== debian/changelog ===
diffoscope (272) unstable; urgency=medium

  [ Chris Lamb]
  * Move away from using DSA OpenSSH keys in tests; support has been removed
    in OpenSSH 9.8p1. (Closes: reproducible-builds/diffoscope#382)
  * Move to assert_diff helper in test_openssh_pub_key.py
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Jul 2024 07:16:14 -0700

=== debian/control ===
Source: diffoscope
Section: devel
Priority: optional
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 7zip <!nocheck>,
 aapt <!nocheck>,
 abootimg <!nocheck>,
 androguard <!nocheck>,
 apksigcopier <!nocheck>,
 apksigner <!nocheck>,
 bash-completion,
 binutils-multiarch <!nocheck>,
 black <!nocheck>,
 caca-utils <!nocheck>,
 colord <!nocheck>,
 coreboot-utils <!nocheck>,
 db-util <!nocheck>,
 debhelper-compat (= 13),
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 device-tree-compiler (>= 1.4.2) <!nocheck>,
 dexdump <!nocheck>,
 dh-python (>= 2.20160818~),
 docx2txt <!nocheck>,
 dpkg-dev (>= 1.17.14),
 e2fsprogs <!nocheck>,
 enjarify <!nocheck>,
 ffmpeg <!nocheck>,
 flake8 <!nocheck>,
 fontforge-extras <!nocheck>,
 fonttools <!nocheck>,
 fp-utils [!ppc64el !s390x] <!nocheck>,
 ghc <!nocheck>,
 ghostscript <!nocheck>,
 giflib-tools <!nocheck>,
 gnumeric <!nocheck>,
 gnupg-utils <!nocheck>,
 gpg <!nocheck>,
 hdf5-tools <!nocheck>,
 help2man,
 html2text <!nocheck>,
 imagemagick <!nocheck>,
 jsbeautifier <!nocheck>,
 libarchive-tools <!nocheck>,
 libjs-jquery <!nocheck>,
 libjs-jquery-hotkeys <!nocheck>,
 libjs-jquery-isonscreen <!nocheck>,
 libjs-jquery-tablesorter <!nocheck>,
 libjs-jquery-throttle-debounce <!nocheck>,
 linux-image-amd64 [amd64] <!nocheck> | linux-image-generic [amd64] <!nocheck>,
 llvm <!nocheck>,
 lz4 <!nocheck>,
 lzip <!nocheck>,
 mono-utils <!nocheck>,
 ocaml-nox <!nocheck>,
 odt2txt <!nocheck>,
 oggvideotools [!s390x] <!nocheck>,
 openssh-client <!nocheck>,
 openssl <!nocheck>,
 pgpdump <!nocheck>,
 poppler-utils <!nocheck>,
 procyon-decompiler <!nocheck>,
 python3-all,
 python3-argcomplete,
 python3-binwalk <!nocheck>,
 python3-debian <!nocheck>,
 python3-distro <!nocheck>,
 python3-docutils,
 python3-guestfs <!nocheck>,
 python3-h5py <!nocheck>,
 python3-jsondiff <!nocheck>,
 python3-libarchive-c,
 python3-magic,
 python3-pdfminer <!nocheck>,
 python3-progressbar <!nocheck>,
 python3-pypdf <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pyxattr <!nocheck>,
 python3-rpm <!nocheck>,
 python3-setuptools,
 python3-tlsh (>= 3.4.1) <!nocheck>,
 r-base-core <!nocheck>,
 rpm2cpio <!nocheck>,
 sng <!nocheck>,
 sqlite3 <!nocheck>,
 squashfs-tools <!nocheck>,
 tcpdump <!nocheck>,
 u-boot-tools <!nocheck>,
 unzip <!nocheck>,
 wabt <!nocheck>,
 xmlbeans <!nocheck>,
 xxd <!nocheck>,
 zstd <!nocheck>,
Build-Conflicts:
 graphicsmagick-imagemagick-compat,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://diffoscope.org
Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
Vcs-Browser: https://salsa.debian.org/reproducible-builds/diffoscope

Package: diffoscope-minimal
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${diffoscope-minimal:Recommends},
 ${python3:Recommends},
Description: in-depth visual diff tool for files, archives and directories (minimal package)
 diffoscope is a visual diff tool that attempts try to get to the bottom of
 what makes files or directories actually different.
 .
 It can recursively unpack archives of many kinds, transforming various binary
 formats into more human-readable form to compare them in a human-readable way.
 It can compare two tarballs, ISO images or PDFs just as easily. The
 differences can be displayed on the console or in a HTML report.
 .
 ${diffoscope:Description}
 .
 This -minimal package only recommends a partial set of the supported 3rd party
 tools needed to produce file-format-specific comparisons, excluding those that
 are considered too large or niche for general use.
 .
 diffoscope is developed as part of the Reproducible Builds project.

Package: diffoscope
Architecture: all
Suggests:
 libjs-jquery,
Depends:
 diffoscope-minimal (= ${source:Version}),
 ${misc:Depends},
Recommends:
 ${diffoscope:Recommends},
 ${python3:Recommends},
Enhances:
 diffoscope-minimal,
Description: in-depth visual diff tool for files, archives and directories
 diffoscope is a visual diff tool that attempts try to get to the bottom of
 what makes files or directories actually different.
 .
 It can recursively unpack archives of many kinds, transforming various binary
 formats into more human-readable form to compare them in a human-readable way.
 It can compare two tarballs, ISO images or PDFs just as easily. The
 differences can be displayed on the console or in a HTML report.
 .
 This is a dependency package that recommends the full set of external tools,
 to support as many type of files as possible.
 .
 ${diffoscope:Description}
 .
 diffoscope is developed as part of the Reproducible Builds project.

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], 7zip, aapt [amd64 arm64 armel armhf i386 mips64el mipsel], abootimg, acl, apksigcopier, apksigner, apktool [!ppc64el !s390x], binutils-multiarch, bzip2, caca-utils, colord, coreboot-utils, db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, dexdump [amd64 arm64 armhf i386], docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fonttools, fp-utils [!ppc64el !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg-utils, gpg, hdf5-tools, html2text, imagemagick, jsbeautifier, libarchive-tools, libxmlb-utils, llvm, lz4, lzip, mono-utils, ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, perl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd, xz-utils, zip, zstd, androguard, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 277

=== debian/changelog ===
diffoscope (277) unstable; urgency=medium

  [ Sergei Trofimovich ]
  * Don't crash when attempting to hashing symlinks with targets that point to
    a directory.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Aug 2024 09:51:59 +0100

diffoscope (276) unstable; urgency=medium

  [ Chris Lamb ]
  * Also catch RuntimeError when importing PyPDF so that PyPDF or, crucially,
    its transitive dependencies do not cause diffoscope to traceback at runtime
    and build time. (Closes: #1078944, reproducible-builds/diffoscope#389)
  * Factor out a method for stripping ANSI escapes.
  * Strip ANSI escapes from the output of Procyon. Thanks, Aman Sharma!
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Aug 2024 18:41:14 +0100

diffoscope (275) unstable; urgency=medium

  [ Chris Lamb ]
  * Update the test_zip.py text fixtures and definitions to support new changes
    to IO::Compress. (Closes: #1078050)
  * Do not call marshal.loads(...) of precompiled Python bytecode as it is
    inherently unsafe. Replace, at least for now, with a brief summary of the
    code section of .pyc files. (Re: reproducible-builds/diffoscope#371)
  * Don't bother to check the Python version number in test_python.py: the
    fixture for this test is deterministic/fixed.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Aug 2024 11:07:34 +0100

diffoscope (274) unstable; urgency=medium

  [ Chris Lamb ]
  * Add support for IO::Compress::Zip >= 2.212. (Closes: #1078050)
  * Don't include debug output when calling dumppdf(1).
  * Append output from dumppdf(1) in more cases.
    (Closes: reproducible-builds/diffoscope#387)
  * Update copyright years.

  [ Mattia Rizzolo ]
  * Update the available architectures for test dependencies.

 -- Chris Lamb <lamby@debian.org>  Fri, 09 Aug 2024 12:52:36 +0100

diffoscope (273) unstable; urgency=medium

  [ Chris Lamb ]
  * Factor out version detection in test_jpeg_image. (Re:
    reproducible-builds/diffoscope#384)
  * Ensure that 'convert' is from Imagemagick 6.x; we will need to update a
    few things with IM7. (Closes: reproducible-builds/diffoscope#384)
  * Correct import of identify_version after refactoring change in 037bdcbb0.

  [ Mattia Rizzolo ]
  * tests:
    + Add OpenSSH key test with a ed25519 key.
    + Skip the OpenSSH test with DSA key if openssh is >> 9.7
    + Support ffmpeg >= 7 that adds some extra context to the diff
  * Do not ignore testing in gitlab-ci.
  * debian:
    + Temporarily remove aapt, androguard and dexdump from the build/test
      dependencies as they are not available in testin/trixie.  Closes: #1070416
    + Bump Standards-Version to 4.7.0, no changes needed.
    + Adjust options to make sure not to pack the python s-dist directory
      into the debian source package.
    + Adjust the lintian overrides.


 -- Mattia Rizzolo <mattia@debian.org>  Wed, 31 Jul 2024 15:31:22 +0900

## diffoscope 278

=== debian/changelog ===
diffoscope (278) unstable; urgency=medium

  [ Chris Lamb ]
  * Temporarily remove procyon-decompiler from Build-Depends as it was removed
    from testing (#1057532). (Closes: #1082636)
  * Add a helpful contextual message to the output if comparing Debian .orig
    tarballs within .dsc files without the ability to "fuzzy-match" away the
    leading directory. (Closes: reproducible-builds/diffoscope#386)
  * Correctly invert "X% similar" value and do not emit "100% similar".
    (Closes: reproducible-builds/diffoscope#391)
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Sep 2024 08:08:56 -0700

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  7zip <!nocheck>,
- aapt <!nocheck>,
+# aapt <!nocheck>,
  abootimg <!nocheck>,
- androguard <!nocheck>,
+# androguard <!nocheck>,
  apksigcopier <!nocheck>,
  apksigner <!nocheck>,
  bash-completion,
@@ -23,7 +23,7 @@
  debhelper-compat (= 13),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  device-tree-compiler (>= 1.4.2) <!nocheck>,
- dexdump <!nocheck>,
+# dexdump <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
  dpkg-dev (>= 1.17.14),
@@ -63,7 +63,7 @@
  openssl <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
- procyon-decompiler <!nocheck>,
+# procyon-decompiler <!nocheck>,
  python3-all,
  python3-argcomplete,
  python3-binwalk <!nocheck>,
@@ -98,7 +98,7 @@
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git

## diffoscope 280

=== debian/changelog ===
diffoscope (280) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop Depends on deprecated python3-pkg-resources. (Closes: #1083362)

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Oct 2024 08:07:17 -0700

diffoscope (279) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop removal of calculated basename from readelf output.
    (Closes: reproducible-builds/diffoscope#394)

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Oct 2024 12:26:08 -0700

=== debian/control ===
--- 
+++ 
@@ -107,7 +107,6 @@
 Package: diffoscope-minimal
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## diffoscope 281

=== debian/changelog ===
diffoscope (281) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't try and test with systemd-ukify within Debian stable.

  [ Jelle van der Waa ]
  * Add support for UKI files.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Oct 2024 10:09:08 -0700

## diffoscope 282

=== debian/changelog ===
diffoscope (282) unstable; urgency=medium

  [ Chris Lamb ]
  * Ignore errors when listing .ar archives. (Closes: #1085257)
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Oct 2024 10:16:04 -0700

## diffoscope 283

=== debian/changelog ===
diffoscope (283) unstable; urgency=medium

  [ Martin Abente Lahaye ]
  * Fix crash when objdump is missing when checking .EFI files.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Nov 2024 12:06:11 -0800

## diffoscope 284

=== debian/changelog ===
diffoscope (284) unstable; urgency=medium

  [ Chris Lamb ]
  * Simplify tests_quines.py::test_{differences,differences_deb} to use
    assert_diff and not mangle the expected test output.
  * Update some tests to support file(1) version 5.46.
    (Closes: reproducible-builds/diffoscope#395)

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Dec 2024 10:37:15 +0000

## diffoscope 285

=== debian/changelog ===
diffoscope (285) unstable; urgency=medium

  [ Chris Lamb ]
  * Validate --css command-line argument. Thanks to Daniel Schmidt @ SRLabs for
    the report. (Closes: #396)
  * Prevent XML entity expansion attacks through vulnerable versions of
    pyexpat. Thanks to Florian Wilkens @ SRLabs for the report. (Closes: #397)
  * Print a warning if we have disabled XML comparisons due to a potentially
    vulnerable version of pyexpat.
  * Remove (unused) logging facility from a few comparators.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jan 2025 09:39:49 +0000

## diffoscope 286

=== debian/changelog ===
diffoscope (286) unstable; urgency=medium

  [ Chris Lamb ]
  * Bug fixes:
    - When passing files on the command line, don't call specialize(..) before
      we've checked that the files are identical. In the worst case, this was
      resulting in spinning up binwalk and extracting two entire filesystem
      images merely to confirm that they were indeed filesystem images..
      before simply concluding that they were identical anyway.
    - Do not exit with a traceback if paths are inaccessible, either directly,
      via symbolic links or within a directory. (Closes: #1065498)
    - Correctly identify changes to only the line-endings of files; don't mark
      them as "Ordering differences only".
    - Use the "surrogateescape" mechanism of str.{decode,encode} to avoid a
      UnicodeDecodeError and crash when decoding zipinfo output that is not
      valid UTF-8. (Closes: #1093484)
  * Testsuite changes:
    - Don't mangle newlines when opening test fixtures; we want them untouched.
    - Move to assert_diff in test_text.py.
  * Misc:
    - Remove unnecessary return value from check_for_ordering_differences in
      the Difference class.
    - Drop an unused function in iso9600.py
    - Inline a call/check of Config().force_details; no need for an additional
      variable.

 -- Chris Lamb <lamby@debian.org>  Fri, 24 Jan 2025 12:07:52 +0000

## diffoscope 288

=== debian/changelog ===
diffoscope (288) unstable; urgency=medium

  [ Chris Lamb ]
  * Add 'asar' to DIFFOSCOPE_FAIL_TESTS_ON_MISSING_TOOLS. (Closes: #1095057)
  * Update minimal 'black' version.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2025 10:11:11 +0000

diffoscope (287) unstable; urgency=medium

  [ Chris Lamb ]
  * Drop an unused subprocess import.
  * Update copyright years.

  [ fridtjof ]
  * Add ASAR comparator.

 -- Chris Lamb <lamby@debian.org>  Fri, 31 Jan 2025 11:22:37 +0000

=== debian/control ===
--- 
+++ 
@@ -89,6 +89,7 @@
  sng <!nocheck>,
  sqlite3 <!nocheck>,
  squashfs-tools <!nocheck>,
+ systemd-ukify <!nocheck>,
  tcpdump <!nocheck>,
  u-boot-tools <!nocheck>,
  unzip <!nocheck>,

## diffoscope 289

=== debian/changelog ===
diffoscope (289) unstable; urgency=medium

  [ Chris Lamb ]
  * Catch CalledProcessError when calling html2text.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Feb 2025 12:39:56 +0000

## diffoscope 291

=== debian/changelog ===
diffoscope (291) unstable; urgency=medium

  [ Chris Lamb ]
  * Make two required adjustments for the new version of the src:file package:
    - file(1) version 5.46 now emits "XHTML document" for .xhtml files, such as
      those found nested within our .epub tests. Therefore, match this string
      when detecting XML files. This was causing an FTBFS due to inconsistent
      indentation in diffoscope's output.
    - Require the new, upcoming, version of file(1) for a quine-related
      testcase after adjusting the expected output. Previous versions of
      file(1) had a duplicated "last modified, last modified" string for some
      Zip archives that has now been removed.
  * Add a missing subprocess import.
  * Bump Standards-Version to 4.7.2.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Mar 2025 14:11:47 +0000

diffoscope (290) unstable; urgency=medium

  [ Chris Lamb ]
  * Also consider .aar files as APK files for the sake of not falling back to a
    binary diff. (Closes: #1099632)
  * Ensure all calls to out_check_output in the ELF comparator have the
    potential CalledProcessError exception caught. (Re: #398)
  * Ensure a potential CalledProcessError is caught in the OpenSSL comparator
    as well.
  * Update copyright years.

  [ Eli Schwartz ]
  * Drop deprecated and no longer functional "setup.py test" command.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Mar 2025 09:06:58 +0000

=== debian/control ===
--- 
+++ 
@@ -99,7 +99,7 @@
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], 7zip, abootimg, acl, apksigcopier, apksigner, apktool, binutils-multiarch, bzip2, caca-utils, colord, coreboot-utils [!risv64], db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fonttools, fp-utils [!riscv64 !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg-utils, gpg, hdf5-tools, html2text, imagemagick, jsbeautifier, libarchive-tools, libxmlb-utils, llvm, lz4, lzip, mono-utils [!riscv64], ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, perl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, systemd-ukify, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd, xz-utils, zip, zstd, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 293

=== debian/changelog ===
diffoscope (293) unstable; urgency=medium

  [ Chris Lamb ]
  * Correct import masking issue.

 -- Chris Lamb <lamby@debian.org>  Sat, 29 Mar 2025 18:05:20 +0000

diffoscope (292) unstable; urgency=medium

  [ Ivan Trubach ]
  * Ignore st_size entry for directories to avoid spurious diffs as this value
    is essentially filesystem dependent.

  [ Chris Lamb ]
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Sat, 29 Mar 2025 17:19:49 +0000

## diffoscope 294

=== debian/changelog ===
diffoscope (294) unstable; urgency=medium

  [ Chris Lamb ]
  * Correct longstanding issue where many ">"-based version tests used in
    conditional fixtures were broken due to the lack of a __gt__ method.
    Thanks, Colin Watson! (Closes: #1102658)
  * Address a long-hidden issue in the test_versions testsuite where we weren't
    actually testing ">" as it was masked by the tests for equality in the
    testsuite.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Apr 2025 12:22:46 -0700

## diffoscope 296

=== debian/changelog ===
diffoscope (296) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't rely on zipdetails' --walk functionality to be available; only add
    that argument after testing for a new enough versions.
    (Closes: reproducible-builds/diffoscope#408)
  * Disable and then re-enable failing on stable-bpo.
  * Update copyright years.

  [ Omair Majid ]
  * Add NuGet package support.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 May 2025 08:41:37 -0700

diffoscope (295) unstable; urgency=medium

  [ Chris Lamb ]
  * Use --walk over the potentially dangerous --scan argument of zipdetails(1).
    (Closes: reproducible-builds/diffoscope#406)

 -- Chris Lamb <lamby@debian.org>  Fri, 09 May 2025 09:13:39 -0700

## diffoscope 297

=== debian/changelog ===
diffoscope (297) unstable; urgency=medium

  [ Will Hollywood ]
  * Add a LZMA comparator and tests.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 May 2025 09:34:34 -0700

## diffoscope 297+deb13u1

=== debian/changelog ===
diffoscope (297+deb13u1) trixie; urgency=medium

  * Fix a test after the upload of systemd-ukify 258~rc3 (vs 258~rc2).
    (Closes: #1120867)

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Dec 2025 13:07:31 -0800

## diffoscope 300

=== debian/changelog ===
diffoscope (300) experimental; urgency=medium

  [ "Alex" ]
  * Fix a regression and add a test so that diffoscope picks up differences
    in metadata for identical files again. (Closes: reproducible-builds/diffoscope#411)

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Jun 2025 10:29:56 -0700

diffoscope (299) experimental; urgency=medium

  [ Chris Lamb ]
  * Add python3-defusedxml to the Build-Depends in order to include it in the
    Docker image. (Closes: #407)

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Jun 2025 09:08:17 -0700

diffoscope (298) experimental; urgency=medium

  [ Chris Lamb ]
  * Handle RPM's HEADERSIGNATURES and HEADERIMMUTABLE specially to avoid
    unncessarily large diffs. Based almost entirely on code by Daniel Duan.
    (Closes: reproducible-builds/diffoscope#410)
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Jun 2025 09:49:56 -0700

## diffoscope 302

=== debian/changelog ===
diffoscope (302) experimental; urgency=medium

  [ Chris Lamb ]
  * Mask stderr from the extract-vmlinux script.
  * Make it much more explicit that we return 'success' from the
    extract-vmlinux script instead of just falling through to the bottom of the
    script.
  * Use Difference.from_operation in an attempt to pipeline the output of
    extract-vmlinux, potentially avoiding it all residing in memory. This is an
    attempt to prevent out of memory issues on try.diffoscope.org.

  [ Siva Mahadevan ]
  * Use --print-armap long option with nm in the "ar" comparator for wider
    compatibility.

 -- Chris Lamb <lamby@debian.org>  Fri, 25 Jul 2025 09:44:26 -0700

diffoscope (301) experimental; urgency=medium

  [ Chris Lamb ]
  * Avoid spurious differences in h5dump output caused by exposure of absolute
    internal extraction paths. (Closes: #1108690)
  * Use our_check_output in the ODT comparator.
  * Memoize a number of calls to --version. Thanks, Jade! (Closes: #412)
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Jul 2025 08:52:31 -0700

## diffoscope 304

=== debian/changelog ===
diffoscope (304) experimental; urgency=medium

  [ Chris Lamb ]
  * Do not run jsondiff on files over 100KiB as the algorithm runs in O(n^2)
    time. (Closes: reproducible-builds/diffoscope#414)
  * Fix test after the upload of systemd-ukify 258~rc3 (vs. 258~rc2).
  * Move from a mono-utils dependency to versioned "mono-devel | mono-utils"
    dependency, taking care to maintain the [!riscv64] architecture
    restriction. (Closes: #1111742)
  * Use sed -ne over awk -F= to to avoid mangling dependency lines containing
    equals signs (=), for example version restrictions.
  * Use sed backreferences when generating debian/tests/control to avoid DRY
    violations.
  * Update copyright years.

  [ Martin Joerg ]
  * Avoid a crash in the HTML presenter when page limit is None.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Aug 2025 08:13:11 -0700

diffoscope (303) experimental; urgency=medium

  [ Chris Lamb ]
  * Don't check for PyPDF version 3 specifically, check for >= 3. Thanks,
    Vagrant, for the patch. (Closes: reproducible-builds/diffoscope#413)
  * Ensure that Java class files are named .class on the filesystem before
    passing them to javap(1).
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Aug 2025 11:50:45 -0700

## diffoscope 305

=== debian/changelog ===
diffoscope (305) unstable; urgency=medium

  [ Chris Lamb ]
  * Upload to unstable/sid after the release of trixie.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Aug 2025 10:40:18 -0700

## diffoscope 306~bpo13+1

=== debian/changelog ===
diffoscope (306~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 31 Oct 2025 17:17:31 +0100

diffoscope (306) unstable; urgency=medium

  [ Zbigniew Jędrzejewski-Szmek ]
  * Fix compatibility with RPM 6.
  * Use regular 'open' calls instead of the deprecated 'codecs.open'.
  * Accept additional 'v' when calling 'fdtump --version'.

 -- Chris Lamb <lamby@debian.org>  Sun, 07 Sep 2025 15:31:24 -0700

=== debian/watch ===
version=4
opts=pgpmode=auto https://diffoscope.org/archive/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## diffoscope 307

=== debian/changelog ===
diffoscope (307) unstable; urgency=medium

  * Attempt to fix compatability with LLVM 21.
    (Closes: reproducible-builds/diffoscope#419)
  * Update copyright years.
  * Update CI to try and deploy to PyPI upon tagging a release.

 -- Chris Lamb <lamby@debian.org>  Fri, 31 Oct 2025 10:51:59 -0700

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], 7zip, abootimg, acl, apksigcopier, apksigner, apktool, binutils-multiarch, bzip2, caca-utils, colord, coreboot-utils [!risv64], db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fonttools, fp-utils [!riscv64 !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg-utils, gpg, hdf5-tools, html2text, imagemagick, jsbeautifier, libarchive-tools, libxmlb-utils, llvm, lz4, lzip, mono-devel (>= 6.14.1+ds-3) [!riscv64] | mono-utils (<< 6.14.1+ds-3) [!riscv64], ocaml-nox, odt2txt, oggvideotools [!s390x], openssh-client, openssl, perl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, systemd-ukify, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd, xz-utils, zip, zstd, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends

## diffoscope 308

=== Makefile ===
all: test

clean:
	rm -f test test.o

install: test
	install -o root -g root -m 755 -d $(DESTDIR)/usr/bin
	install -o root -g root -m 755 test $(DESTDIR)/usr/bin/test

=== debian/changelog ===
diffoscope (308) unstable; urgency=medium

  [ Chris Lamb ]
  * Attempt to fix automatic deployment to PyPi:
    - Separate out deploy-tag and deploy-pypi into different stages, and base
      the latter on debian:unstable.
    - Call apt-get update prior to attempting installing twine.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Nov 2025 10:09:32 -0800

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
  llvm <!nocheck>,
  lz4 <!nocheck>,
  lzip <!nocheck>,
- mono-utils <!nocheck>,
+ mono-devel (>= 6.14.1+ds-3) <!nocheck> | mono-utils (<< 6.14.1+ds-3) <!nocheck>,
  ocaml-nox <!nocheck>,
  odt2txt <!nocheck>,
  oggvideotools [!s390x] <!nocheck>,
@@ -68,6 +68,7 @@
  python3-argcomplete,
  python3-binwalk <!nocheck>,
  python3-debian <!nocheck>,
+ python3-defusedxml <!nocheck>,
  python3-distro <!nocheck>,
  python3-docutils,
  python3-guestfs <!nocheck>,

## diffoscope 309

=== debian/changelog ===
diffoscope (309) unstable; urgency=medium

  [ Chris Lamb ]
  * Attempt to fix automatic deployment to PyPi by explictly installing
    setuptools.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Nov 2025 09:49:55 -0800

## diffoscope 310

=== debian/changelog ===
diffoscope (310) unstable; urgency=medium

  [ Chris Lamb ]
  * Reference the Debian 'ocaml' package instead of 'ocaml-nox'.
    (Closes: #1125094)

 -- Chris Lamb <lamby@debian.org>  Fri, 09 Jan 2026 12:04:10 -0800

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,7 @@
  lz4 <!nocheck>,
  lzip <!nocheck>,
  mono-devel (>= 6.14.1+ds-3) <!nocheck> | mono-utils (<< 6.14.1+ds-3) <!nocheck>,
- ocaml-nox <!nocheck>,
+ ocaml <!nocheck>,
  odt2txt <!nocheck>,
  oggvideotools [!s390x] <!nocheck>,
  openssh-client <!nocheck>,

## diffoscope 311

=== debian/changelog ===
diffoscope (311) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix test compatibility with u-boot-tools 2026-01. Thanks, Jelle!
  * Bump Standards-Version to 4.7.3.
  * Drop implied "Priority: optional" from debian/control.
  * Also drop implied "Rules-Requires-Root: no" entry in debian/control.
  * Update copyright years.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Jan 2026 09:38:10 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: diffoscope
 Section: devel
-Priority: optional
 Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
  Chris Lamb <lamby@debian.org>,
@@ -100,8 +99,7 @@
  zstd <!nocheck>,
 Build-Conflicts:
  graphicsmagick-imagemagick-compat,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
 Vcs-Browser: https://salsa.debian.org/reproducible-builds/diffoscope

## diffoscope 312

=== debian/changelog ===
diffoscope (312) unstable; urgency=medium

  [ Jelle van der Waa ]
  * Adjust u-boot-tools/fit diff to match new lines.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Feb 2026 08:53:34 -0800

## diffoscope 313

=== debian/changelog ===
diffoscope (313) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't fail the entire pipeline if deploying to PyPI automatically fails.

  [ Vagrant Cascadian ]
  * Update external tool reference for 7z on guix.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Feb 2026 08:53:36 -0800

=== debian/tests/control ===
# DON'T MANUALLY MODIFY!
# EDIT debian/tests/control.in INSTEAD!
#
# To regenerate:
#
#   $ debian/rules clean
#   $ mv debian/tests/control.tmp debian/tests/control

Tests: pytest-with-recommends
Depends: python3-all, diffoscope, black, python3-pytest, python3-h5py, file, linux-image-amd64 [amd64] | linux-image-generic [amd64], 7zip, abootimg, acl, apksigcopier, apksigner, apktool, binutils-multiarch, bzip2, caca-utils, colord, coreboot-utils [!risv64], db-util, default-jdk-headless | default-jdk | java-sdk, device-tree-compiler, docx2txt, e2fsprogs, enjarify, ffmpeg, fontforge-extras, fonttools, fp-utils [!riscv64 !s390x], genisoimage, gettext, ghc, ghostscript, giflib-tools, gnumeric, gnupg-utils, gpg, hdf5-tools, html2text, imagemagick, jsbeautifier, libarchive-tools, libxmlb-utils, llvm, lz4, lzip, mono-devel (>= 6.14.1+ds-3) [!riscv64] | mono-utils (<< 6.14.1+ds-3) [!riscv64], ocaml, odt2txt, oggvideotools [!s390x], openssh-client, openssl, perl, pgpdump, poppler-utils, procyon-decompiler, python3-pdfminer, r-base-core, rpm2cpio, sng, sqlite3, squashfs-tools, systemd-ukify, tcpdump, u-boot-tools, unzip, wabt, xmlbeans, xxd, xz-utils, zip, zstd, python3-argcomplete, python3-binwalk, python3-defusedxml, python3-distro, python3-guestfs, python3-jsondiff, python3-progressbar, python3-pypdf, python3-debian, python3-pyxattr, python3-rpm, python3-tlsh

Tests: pytest
Depends: python3-all, diffoscope, python3-pytest, python3-h5py, file, python3-tlsh

Tests: basic-command-line
Depends: diffoscope
Restrictions: allow-stderr
# without Recommends
